<?php  

if(!function_exists('kentha_elementor_3dheader_function')) {
function kentha_elementor_3dheader_function($atts){
	ob_start();

	/*
	 *	Defaults
	 * 	All parameters can be bypassed by same attribute in the shortcode
	 */
	extract( shortcode_atts( array(
		'release_id' => false,
		'radio_id' => false,
		'link' => false,
		'linkto' => 'play',
		'quantity' => 1,
		'text' => false,
		'btnstyle' => 'qt-btn-default',
		'posttype' => 'release',
		'orderby' => 'date',
		'background1' => false,
		'background2' => false,
		'background3' => false,
		'background4' => false,
		'foreground1' => false,
		'foreground2' => false,
	), $atts ) );


	if($background1){
		$background1 = $background1['url'];
	}
	if($background2){
		$background2 = $background2['url'];
	}
	if($background3){
		$background3 = $background3['url'];
	}
	if($background4){
		$background4 = $background4['url'];
	}
	if($foreground1){
		$foreground1 = $foreground1['url'];
	}
	if($foreground2){
		$foreground2 = $foreground2['url'];
	}

	?>
	<div class="kentha-elementor-3d-header qt-perspectivecard-wrapper ">
		<div class="qt-perspectivecard"  data-bgimage="<?php echo esc_url($background1); ?>"  >
			
			<?php  

			/**
			*	===========================================
			*	Backgrounds
			*	===========================================
			*/
			if($background2){
				?>
				<div class="qt-perspectivecard__bg2" data-bgimage="<?php echo esc_url($background2); ?>"></div>
				<?php
			}
			if($background3){
				?>
				<div class="qt-perspectivecard__bg3" data-bgimage="<?php echo esc_url($background3); ?>"></div>
				<?php
			}
			if($background4){
				?>
				<div class="qt-perspectivecard__bg4" data-bgimage="<?php echo esc_url($background4); ?>"></div>
				<?php
			}

			/**
			*	===========================================
			*	Cover
			*	===========================================
			*/

			if('play' == $linkto && $release_id && has_post_thumbnail($release_id)){
				$url = get_the_post_thumbnail_url( $release_id, 'kentha-squared' );
				?>
				<div class="qt-perspectivecard__cover">
					<img src="<?php echo esc_url( $url ); ?>">
				</div>
				<?php 
			}



			/**
			*	===========================================
			*	foregraound
			*	===========================================
			*/


			if($foreground1){
				?>
				<div class="qt-perspectivecard__fg1" data-bgimage="<?php echo esc_url($foreground1); ?>"></div>
				<?php
			}
			if($foreground2){
				?>
				<div class="qt-perspectivecard__fg2" data-bgimage="<?php echo esc_url($foreground2); ?>"></div>
				<?php
			}

			?>
				<?php 
				/**
				*	===========================================
				*	button
				*	===========================================
				*/
				switch($linkto){
					case 'play':
						if($release_id){		
							$link = get_the_permalink( $release_id );
							?>
							<p>
								<a href="<?php echo esc_url($link); ?>" class="qt-btn <?php echo esc_attr($btnstyle); ?> qt-btn-xl z-depth-2 noajax" data-kenthaplayer-addrelease="<?php echo add_query_arg('qt_json', '1',  $link); ?>" data-playnow="1">
									<i class="material-icons">play_arrow</i>&nbsp;
									<?php 
									if($text){
										echo esc_html($text);
									} else {
										esc_html_e( 'Play all', 'kentha' ); 
									}
									?>
								</a>
							</p>
							<?php 
						}
						break;
					case 'playradio':
						if($radio_id){
							$mp3_stream_url = get_post_meta( $radio_id, 'mp3_stream_url', true );
							
							if( $mp3_stream_url ){
								$subtitle = get_post_meta($radio_id, 'qt_radio_subtitle',true);
								$icon = get_post_meta($radio_id, 'qt_player_icon', true );
								$thumb = get_the_post_thumbnail_url( $radio_id, 'medium' );

								?>
									<p class="qtmusicplayer-trackitem">
										<span class="qt-play qt-link-sec qtmusicplayer-play-btn qt-btn <?php echo esc_attr($btnstyle); ?> qt-btn-xl z-depth-2 noajax" 
										data-qtmplayer-type="radio"
										data-qtmplayer-cover="<?php echo esc_url($thumb); ?>" 
										data-qtmplayer-file="<?php echo esc_url( $mp3_stream_url ); ?>" 
										data-qtmplayer-title="<?php echo esc_attr( get_the_title() ); ?>" 
										data-qtmplayer-artist="<?php  echo esc_attr( $subtitle ); ?>" 
										data-qtmplayer-album="<?php echo esc_attr(get_the_title()); ?>" 
										data-qtmplayer-link="<?php the_permalink(); ?>" 
										data-qtmplayer-buylink="" 
										data-qtmplayer-icon="<?php echo esc_attr($icon); ?>" 
										data-playnow="1"
										data-radiochannel
										data-host="<?php echo esc_attr(get_post_meta( $id, 'qtradiofeedHost',true )); ?>"
										data-port="<?php echo esc_attr(get_post_meta( $id, 'qtradiofeedPort',true )); ?>"
										data-icecasturl="<?php echo esc_attr(get_post_meta( $id, 'qticecasturl',true )); ?>"
										data-ssl="<?php echo esc_attr(get_post_meta( $id, 'qtradiofeedSSL',true )); ?>"
										data-icecastmountpoint="<?php echo esc_attr(get_post_meta( $id, 'qticecastMountpoint',true )); ?>"
										data-radiodotco="<?php echo esc_attr(get_post_meta( $id, 'qtradiodotco',true )); ?>"
										data-airtime="<?php echo esc_attr(get_post_meta( $id, 'qtairtime',true )); ?>"
										data-radionomy="<?php echo esc_attr(get_post_meta( $id, 'qtradionomy',true )); ?>"
										data-textfeed="<?php echo esc_attr(get_post_meta( $id, 'qttextfeed',true )); ?>"
										data-channel="<?php echo esc_attr(get_post_meta( $id, 'qtradiofeedChannel',true )); ?>"
										><i class='material-icons'>play_circle_filled</i> <?php echo esc_html($text); ?></span>
									</p>
								<?php
							}
						}
						break;
					case 'link':
						if($link && $text){
							?>
							<p>
								<a href="<?php echo esc_url($link); ?>" class="qt-btn <?php echo esc_attr($btnstyle); ?> qt-btn-xl"><?php  echo esc_html($text); ?></a>
							</p>
							<?php 
						}
						break;
				}
				?>
		</div>

	</div>
	<?php  

	return ob_get_clean();
}}
