<?php  
if(!function_exists('kentha_elementor_blog_shortcode')) {
	function kentha_elementor_blog_shortcode($atts){

		
		ob_start();

		/*
		 *	Defaults
		 * 	All parameters can be bypassed by same attribute in the shortcode
		 */
		/*
		 *	Defaults
		 * 	All parameters can be bypassed by same attribute in the shortcode
		 */
		extract( shortcode_atts( array(
			// 'animation_3d' => false,
			'id' => false, // Legacy parameter for retro compatibility 
			'kentha_design' => false,
			'itemsperrow' => false,
			'title' => false,

			// Query parameters
			'post_type' 			=> 'post',
			'query_event_filter'	=> false,
			'include_by_id'			=> false,
			'custom_query'			=> false,
			'tax_filter'			=> false,
			'items_per_page'		=> '9',
			'orderby'				=> 'date',
			'order'					=> 'DESC',
			'meta_key'				=> false,
			'offset'				=> 0,
			'exclude'				=> '',
			
			'el_id'					=> 'qt-post-carousel-'.uniqid( get_the_ID() ),
			'el_class'				=> '',
			'grid_id'				=> false // required for compatibility with WPBakery Page Builder
		), $atts ) );

		$grid_id = 'kentha-elementor-post-carousel-grid-'.get_the_ID().'-'.md5( serialize($atts) );
		$el_id = 'kentha-elementor-post-carousel-el-'.get_the_ID().'-'.md5( serialize($atts) );


		require( __DIR__ . '/../_helpers/query-prep.php' );

		/**
		 * [$wp_query_el execution of the query]
		 * @var WP_Query
		 */


		$wp_query_el = new WP_Query( $args );
		
		/**
		 * Output object start
		 */
		switch($kentha_design){
			case 'split':
				$template = 'part-archive-item-split';
				break;
			case 'card':
				$template = 'part-archive-item';
				break;
			case 'masonry':
				$template = 'part-archive-item-grid';
				break;
			case 'large':
			default:
				$template = 'part-archive-item-large';
		}

		
		add_filter( 'excerpt_length', 'kentha_excerpt_length_20', 1000 );

		if($title){ 
			?>
			<h3 class="qt-sectiontitle"><?php echo esc_html($title); ?></h3>
			<hr class="qt-spacer-s">
			<?php 
		} 
		$customid = preg_replace('/[0-9]+/', '', uniqid());

		?>
		<div id="<?php echo esc_attr($grid_id); ?>" class="kentha-elementor-blog qt-shortcode-blog <?php if($kentha_design == 'card' || $kentha_design == 'masonry'){ ?> row <?php } ?> <?php if($kentha_design == 'masonry'){ ?>qt-masonry <?php } ?>" id="<?php echo esc_attr($customid); ?>">
			<?php  
				if ( $wp_query_el->have_posts() ) : while ( $wp_query_el->have_posts() ) : $wp_query_el->the_post();
				$post = $wp_query_el->post;
				setup_postdata( $post );
					if($kentha_design == 'card' || $kentha_design == 'masonry'){ ?><div class="col s12 m6 l4 qt-ms-item"><?php }
						get_template_part( 'phpincludes/'. $template );
					if($kentha_design == 'card' || $kentha_design == 'masonry'){ ?></div><?php } 
				endwhile;  else: 
					esc_html_e("Sorry, there is nothing for the moment.", "kentha");
				endif; 
			?>
		</div>
		<?php 
		remove_filter( 'excerpt_length', 'kentha_excerpt_length_20', 1000 );
		wp_reset_postdata();
		return ob_get_clean();
	}
}