<?php  

if(!function_exists('kentha_elementor_card_grid_shortcode')) {
	function kentha_elementor_card_grid_shortcode($atts){


		ob_start();


		

		extract( shortcode_atts( array(
			// 'animation_3d' => false,
			'id' => false, // Legacy parameter for retro compatibility 
			'kentha_design' => false,
			'itemsperrow' => false,

			'design' => 'default',

			// Query parameters
			'post_type' 			=> 'post',
			'query_event_filter'	=> false,
			'include_by_id'			=> false,
			'custom_query'			=> false,
			'tax_filter'			=> false,
			'items_per_page'		=> '9',
			'orderby'				=> 'date',
			'order'					=> 'DESC',
			'meta_key'				=> false,
			'offset'				=> 0,
			'exclude'				=> '',
			'hideold'				=> false,


			'iprd' => '3',		
			'iprt' => '3',	
			
			'el_id'					=> 'qt-post-carousel-'.uniqid( get_the_ID() ),
			'el_class'				=> '',
			'grid_id'				=> false // required for compatibility with WPBakery Page Builder
		), $atts ) );
	
		$offset = (int)$offset;
		if(!is_numeric($offset)) {
			$offset = 0;
		}


		
		$grid_id = 'kentha-elementor-cards-grid-'.get_the_ID().'-'.md5( serialize($atts) );
		$el_id = 'kentha-elementor-cards-grid-el-'.get_the_ID().'-'.md5( serialize($atts) );


		require( __DIR__ . '/../_helpers/query-prep.php' );

		

		/**
		 * [$wp_query execution of the query]
		 * @var WP_Query
		 */
		$wp_query = new WP_Query( $args );
		
		/**
		 * Output object start
		 */
		switch($post_type){
			case 'members':
			case 'artist':
				$template = 'part-archive-item-artist';
				break;
			case 'event':
				$template = 'part-archive-item-event';
				break;
			case 'place':
				$template = 'part-archive-item-place';
				break;
			case 'podcast':
				$template = 'part-archive-item-podcast';
				break;
			case 'release':
				$template = 'part-archive-item-release';
				break;
			case 'radiochannel':
				$template = 'part-archive-item-radiochannel';
				break;
			case 'shows':
				$template = 'item-show';
				break;
			case 'post':
			default:
				$template = 'part-archive-item';
		}


		$colwidth_desktop = 12 / intval($iprd);
		$colwidth_tablet = 12 / intval($iprt);

		// print_r( $args );

		if ( $wp_query->have_posts() ) : 
			
			?>

			<div id="<?php echo esc_attr($grid_id); ?>" class="kentha-elementor-cards-grid row">
				<?php
				while ( $wp_query->have_posts() ) : $wp_query->the_post();
				$post = $wp_query->post;
				setup_postdata( $post );
				/**
				 *  WE HAVE TO USE THE ARCHIVE ITEM FOR EACH SPECIFIC POSTTYPE
				 */
				?>
				<div class="col s12 m<?php echo esc_attr( $colwidth_tablet); ?> l<?php echo esc_attr( $colwidth_desktop); ?>">
					<?php get_template_part ( 'phpincludes/'.$template); ?>
				</div>
				<?php endwhile;  ?>

			</div>

			
			<!--  POSTS CAROUSEL END ================================================== -->
			<?php 
		else: 
			esc_html_e("Sorry, there is nothing for the moment.", "kentha"); ?>
		<?php  
		endif; 
		wp_reset_postdata();
		/**
		 * Loop end;
		 */
		return ob_get_clean();
	}
}