<?php  

if (!function_exists('kentha_elementor_mediagallery_function')){
function kentha_elementor_mediagallery_function($atts){

	ob_start();


	extract( shortcode_atts( array(
		'items'    => false,
		'thumbsize' => 'm',
		'cols'  => '4',
		'colsm'  => '4',
		'colss'  => '4',
	), $atts ) );
	

	/**
	 * Thimbnail size
	 */
	switch($thumbsize){
		case 'f':
			$imgsize = 'full';
			break;
		case 's':
			$imgsize = 'thumbnail';
			break;
		case 'm':
			$imgsize = 'medium';
			break;
		case 'ms':
			$imgsize = 'kentha-squared';
			break;
		case 'l':
		default: 
			$imgsize = 'large';
	}


	/**
	 * Columns
	 */
	
	if(!$cols){ $cols = 4; }
	$colsclass = 'l'.(12 / $cols);

	if(!$colss){ $colss = 4; }
	$colsclass_s = 's'.(12 / $colss);

	if(!$colsm){ $colsm = 4; }
	$colsclass_m = 'm'.(12 / $colsm);



	if(is_array($items)){
		?>
		<div class="kentha-elementor-gallery-multimedia row qt-mediagallery">
			<?php
			foreach($items as $item){
				
				if(array_key_exists("image", $item)){
					/**
					 * [$image the thumbnail and eventually link to bigger]
					 * @var [type]
					 */
					$thumb = $item['image']['url'];
					
					$title = '';

					/**
					 * Has a video link?
					 */
					$link  = $thumb;
					if(array_key_exists("link", $item) && $item['link'] !== ''){
						$link = $item['link'];
					}
					if(array_key_exists("title", $item)){
						$title = $item['title'];
					}
					?>
					<div class="col <?php echo esc_attr( $colsclass.' '.$colsclass_s.' '.$colsclass_m ); ?>">
						<a href="<?php echo esc_url($link); ?>" title="<?php echo esc_attr($title); ?>" class="qt-disableembedding">
							<i class='material-icons'>zoom_in</i>
							<span class="qt-t qt-capfont"><?php echo esc_html($title); ?></span>
							<span class="qt-frame"></span>
							<img src="<?php echo esc_url($thumb); ?>">
						</a>
					</div>
					<?php
				}
			}
			?>
		</div>
		<?php  
	}
	return ob_get_clean();
}}
?>