<?php  
if(!function_exists('kentha_elementor_carousel_multimedia_function')) {
	function kentha_elementor_carousel_multimedia_function($atts){

		ob_start();

	
		extract( shortcode_atts( array(

			'items'    => false,
			'thumbsize' => 'm',




			'title' => false,
			'id' => false, // Legacy parameter for retro compatibility 
			'design' => false,
			'itemsperrow' => false,
			'gap' => 15,
			'dots' => 'true',
			'nav' => 'true',
			'pause_on_hover' => 'true',
			'autoplay' => 'true',
			'items_per_row_desktop' => '3',		
			'items_per_row_tablet' => '2',	
			'items_per_row_mobile' => '1',	
			'el_id'					=> 'qt-post-carousel-'.uniqid( get_the_ID() ),
			'el_class'				=> '',
			'grid_id'				=> false // required for compatibility with WPBakery Page Builder
		), $atts ) );
	
		$offset = (int)$offset;
		if(!is_numeric($offset)) {
			$offset = 0;
		}


		
		$grid_id = 'kentha-elementor-media-carousel-'.get_the_ID().'-'.md5( serialize($atts) );
		$el_id = 'kentha-elementor-media-carousel-el-'.get_the_ID().'-'.md5( serialize($atts) );


		/**
		 * Thimbnail size
		 */
		switch($thumbsize){
			case 'f':
				$imgsize = 'full';
				break;
			case 's':
				$imgsize = 'thumbnail';
				break;
			case 'm':
				$imgsize = 'medium';
				break;
			case 'ms':
				$imgsize = 'kentha-squared';
				break;
			case 'l':
			default: 
				$imgsize = 'large';
		}

		
		if(is_array($items)){
			?>

			<!-- POSTS CAROUSEL ================================================== -->	
			<div class="kentha-elementor-carousel kentha-elementor-carousel-multimedia qt-mediagallery qt-container qt-relative">
				<div class="qt-slickslider-outercontainer qt-slickslider-outercontainer__<?php echo esc_attr($design); ?> qt-relative">
					<div class="row">
						<div class="col s9 m8">
							<?php if($title){ ?>
								<h3 class="qt-sectiontitle "><?php echo esc_html($title); ?></h3>
							<?php } else { ?>
								<span class="qt-sectiontitle qt-fontsize-h3 qt-invisible"></span>
							<?php } ?>
						</div>
						<?php  if( $nav && $design !== 'center'){ ?>
						<div class="col s3 m4 qt-carouselcontrols qt-right">
							<i data-slickprev class="material-icons">chevron_left</i>
							<i data-slicknext class="material-icons">chevron_right</i>
						</div>
						<?php } ?>
					</div>
					<div class="row">
						<div class="qt-slickslider-container qt-slickslider-cards">
							<div class="qt-slickslider qt-invisible qt-animated qt-slickslider-multiple" 
							data-slidestoshow="<?php echo esc_attr($items_per_row_desktop); ?>" 
							data-slidestoscroll="1" 
							data-variablewidth="false" 
							data-arrows="<?php echo esc_attr($nav); ?>" 
							data-dots="<?php echo esc_attr($dots); ?>" 
							data-infinite="true" 
							data-centermode="false" 
							data-pauseonhover="<?php echo esc_attr($pause_on_hover); ?>" 
							data-autoplay="<?php echo esc_attr($autoplay); ?>" 
							data-arrowsmobile="false" 
							 data-centermodemobile="false" data-dotsmobile="false"  
							 data-slidestoshowmobile="<?php echo esc_attr($items_per_row_mobile); ?>" 
							 data-variablewidthmobile="true" data-infinitemobile="false" 
							 data-slidestoshowipad="<?php echo esc_attr($items_per_row_tablet); ?>">
								<?php

								foreach($items as $item){
				
									if(array_key_exists("image", $item)){
										/**
										 * [$image the thumbnail and eventually link to bigger]
										 * @var [type]
										 */
										$thumb = $item['image']['url'];
										
										$title = '';

										/**
										 * Has a video link?
										 */
										$link  = $thumb;
										if(array_key_exists("link", $item) && $item['link'] !== ''){
											$link = $item['link'];
										}
										if(array_key_exists("title", $item)){
											$title = $item['title'];
										}
										?>
										<div class="qt-item qt-item-card col s12 m4">
											<a href="<?php echo esc_url($link); ?>" title="<?php echo esc_attr($title); ?>" class="qt-disableembedding">
												<i class='material-icons'>play_arrow</i>
												<span class="qt-t qt-capfont"><?php echo esc_html($title); ?></span>
												<span class="qt-frame"></span>
												<img src="<?php echo esc_url($thumb); ?>">
											</a>
										</div>
										<?php
									}
								}
								
								

								?>
							</div>
							<?php if( $nav && $design == 'center'){ ?>
							<div class="qt-carouselcontrols">
								<i data-slickprev class="qt-arr"></i>
								<i data-slicknext class="qt-arr"></i>
							</div>
							<?php }?>
						</div>
					</div>
				</div>
			</div>
			<?php 
		}
		
		/**
		 * Loop end;
		 */
		return ob_get_clean();
	}
}