<?php  
if(!function_exists('kentha_elementor_imageslider_function')){
	function kentha_elementor_imageslider_function ($atts){

		ob_start();


		extract( shortcode_atts( array(
			'title' => false,
			'class' => '',
			'items' => array(),
			'size' => 'large',
			'proportion' => 'auto',
			'proportionmob' => 'auto',
			'height' => '400',
			'textalign' => '',
		), $atts ) );

		$grid_id = 'kentha-elementor-imageslider-'.get_the_ID().'-'.md5( serialize($atts) );
		
		
		if(is_array($items)){
			$id = preg_replace('/[0-9]+/', '', uniqid('qttabs')); 
			?>
			<div id="<?php echo esc_attr( $grid_id ); ?>" class="kentha-elementor-image-slider slider qt-material-slider qt-<?php echo esc_attr($proportion); ?> active"  data-proportion="<?php echo esc_attr($proportion); ?>" data-proportionmob="<?php echo esc_attr($proportionmob); ?>">
				<ul class="slides">
					<?php  
					foreach($items as $item){
						if(array_key_exists("image", $item)){
							$image = $item['image']['url'];
							?>
							<li class="qt-negative">
								<img src="<?php echo $image; ?>" alt="img">
								<div class="caption qt-slidecaption">
									<div class="qt-txt">
										<?php if(array_key_exists("desc", $item) && $item['desc'] !== ''){ ?>
											<h4><?php echo esc_html($item['desc']); ?></h4>
										<?php } ?>
										<?php if(array_key_exists("title", $item) && $item['title'] !== ''){ ?>
											<h3 class="qt-fontsize-h0"><span><?php echo esc_html($item['title']); ?></span></h3>
										<?php } ?>
										<?php if(array_key_exists("link", $item) && $item['link'] !== ''){ 
											$linkt = array_key_exists("linkt", $item)? $item['linkt'] : esc_html__( 'Discover More','kentha' );
											?>
											<p>
												<a href="<?php echo esc_url($item['link']); ?>" class="qt-btn qt-capfont"><?php echo esc_html( $linkt ); ?> <i class='material-icons'>trending_flat</i></a>
											</p>
										<?php } ?>
									</div>
								</div>
							</li>
							<?php
						}
					}
					?>
				</ul>
				<div class="qt-control-arrows">
					<a href="#" class="prev qt-slideshow-link"><i class='material-icons qt-icon-mirror'>arrow_back</i></a>
					<a href="#" class="next qt-slideshow-link"><i class='material-icons'>arrow_forward</i></a>
				</div>
			</div>
			<?php  
		}
		return ob_get_clean();
	}
}