<?php  
/**
*	===========================================
*	Playlist custom function
*	===========================================
*/
if(!function_exists('kentha_elementor_playlistcustom_function')){
	function kentha_elementor_playlistcustom_function ($atts){
		ob_start();
		extract( shortcode_atts( array(
			'items' => array(),
		), $atts ) );
		if(is_array($items)){

			?>
				<div class="qt-playlist-large">
					<ul class="qt-playlist">
					<?php  
					$n = 1;
					foreach($items as $track){
						if (!array_key_exists("file_link", $track)) { 
							continue;
						}
						if ( $track['file_link']  == '' ) { 
							continue; 
						}
						$neededEvents = array('title','album','album_id','buy','artist', 'icon', 'image');
						foreach($neededEvents as $ne){
							if(!array_key_exists($ne,$track)){
								$track[$ne] = '';
							}
						}
						$track_index = str_pad($n, 2 , "0", STR_PAD_LEFT);
						$mp3_demo = $track["file_link"];
						$thumb =  ($track["image"] != '') ? $track["image"]['url'] : '';
						$link = ($track["album_id"] != '' ) ? get_the_permalink( $track['album_id'] )  : '';
						$album_link = $track["album_link"];
						$buy_link = $track["buy_link"];
						$title = $track["title"];
						$artist = $track['artist'];
						$icon = ($track["icon"] != '') ? $track['icon'] : '';
						?>
						<li class="qtmusicplayer-trackitem">
							<?php  
							if($thumb){
								?>
								<img src="<?php echo esc_url($thumb); ?>" alt="<?php echo esc_attr($title); ?>">
								<?php
							}
							?>
							<span class="qt-play qt-link-sec qtmusicplayer-play-btn" data-qtmplayer-cover="<?php echo esc_url($thumb); ?>" data-qtmplayer-file="<?php echo esc_url($mp3_demo); ?>" 
								data-qtmplayer-title="<?php echo esc_attr($title); ?>" 
								data-qtmplayer-artist="<?php echo esc_attr($artist); ?>" 
								data-qtmplayer-album="<?php echo (isset($album))?esc_attr($album):''; ?>"
								data-qtmplayer-link="<?php echo esc_url($album_link); ?>" 
								data-qtmplayer-buylink="<?php echo esc_url($buy_link); ?>" 
								data-qtmplayer-icon="<?php echo esc_attr($icon); ?>" ><i class='material-icons'>play_circle_filled</i></span>
							<p>
								<span class="qt-tit"><?php echo esc_attr($track_index); ?>. <?php echo esc_attr($title); ?></span><br>
								<span class="qt-art">
									<?php echo esc_attr($artist); ?>
								</span>
							</p>
							<?php
							if($buy_link!== ''){
								if(is_numeric($buy_link)) {
									$prodid = $buy_link;
									$buy_link = add_query_arg("add-to-cart" ,   $buy_link, get_the_permalink());
									?>
									<a href="<?php echo esc_url($buy_link); ?>" data-quantity="1" data-product_id="<?php echo esc_attr($prodid); ?>" class="qt-cart product_type_simple add_to_cart_button ajax_add_to_cart"><i class="material-icons"><?php echo esc_html($icon); ?></i></a>
									<?php  
								} else {
									?>
									<a href="<?php echo esc_url($buy_link); ?>" class="qt-cart" target="_blank"><i class="material-icons"><?php echo esc_html($icon); ?></i></a>
									<?php
								}
							}  ?>
						</li>
						<?php 
						$n = $n + 1;
							
					}
					?>
				</ul>
			</div>
			<?php  
		}
		return ob_get_clean();
	}
}