<?php  
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if(!function_exists('kentha_elementor_post_slider_function')){
	function kentha_elementor_post_slider_function ($atts){

		ob_start();


		extract( shortcode_atts( array(
			'title' => false,
			'class' => '',
			'items' => array(),
			'isize' => 'large',
			'proportion' => 'auto',
			'proportionmob' => 'auto',
			'height' => '400',
			'showmeta' => 'true',
			'btn' => 'true',
			'buttonlabel' => esc_html__('Read more', 'kentha-elementor'),
			'btnstyle' => '',
			'textalign' => '',


			// Query parameters
			'post_type' 			=> 'post',
			'query_event_filter'	=> false,
			'include_by_id'			=> false,
			'custom_query'			=> false,
			'tax_filter'			=> false,
			'items_per_page'		=> '9',
			'orderby'				=> 'date',
			'order'					=> 'DESC',
			'meta_key'				=> false,
			'offset'				=> 0,
			'exclude'				=> '',
			'hideold'				=> false,
			
		), $atts ) );

		$grid_id = 'kentha-elementor-post-slider-'.get_the_ID().'-'.md5( serialize($atts) );

		require( __DIR__ . '/../_helpers/query-prep.php' );
		
		$wp_query_slider = new WP_Query( $args );
		if ( $wp_query_slider->have_posts() ) : 
			?>
			<div id="<?php echo esc_attr( $grid_id ); ?>" class="kentha-elementor-post-slider slider qt-material-slider qt-<?php echo esc_attr($proportion); ?> active"  data-proportion="<?php echo esc_attr($proportion); ?>" data-proportionmob="<?php echo esc_attr($proportionmob); ?>">
				<ul class="slides">
					<?php
					while ( $wp_query_slider->have_posts() ) : $wp_query_slider->the_post();
						$post = $wp_query_slider->post;
							setup_postdata( $post );
							?>
							<li>
								<img src="<?php echo get_the_post_thumbnail_url(null, $isize); ?>" alt="img">
								<div class="caption qt-slidecaption">
									<div class="qt-txt qt-negative <?php echo esc_attr( $textalign ); ?>">
										<?php 
										if($showmeta){ 
											?>
											<h4 class="qt-item-metas <?php echo esc_attr( $textalign ); ?>">
												<?php 
												switch($post_type){
													case 'artist':
														$nat = get_post_meta($post->ID, '_artist_nationality',true);
														$res = get_post_meta($post->ID, '_artist_resident',true); 
														if($res){
															echo esc_html( $res );
														}
														if($nat && $res){ ?>&nbsp;<?php }
														if($nat){
															echo esc_html( '['.$nat.']' );
														}
														break;
													case 'release':
														$tracks = get_post_meta(get_the_id(), 'track_repeatable');
														if(is_array($tracks)){ 
															$tracks = $tracks[0]; 
															echo count($tracks);  ?>&nbsp;<?php esc_html_e( 'Tracks', 'kentha' ); 
														} ?> | <?php 
															echo date( "Y", strtotime(get_post_meta(get_the_id(), 'general_release_details_release_date',true))); 
														break;
													case 'podcast':
														$artist = get_post_meta( get_the_id(), '_podcast_artist', true );
														$date = get_post_meta( get_the_id(), '_podcast_date', true );
														echo esc_html($artist); 
														if($artist && $date){ ?> | <?php }
														echo esc_html($date);
														break;
													case 'event':
														$date = date( 'd M Y', strtotime(get_post_meta($post->ID, 'eventdate',true)));
														$location = get_post_meta($post->ID, 'qt_location',true); 
														if($location){
															echo esc_html( $location );
														}
														if($date && $location){ ?> / <?php }
														if($date){
															echo esc_html($date);
														}
														break;
													case 'post':
													default:
														the_author(); ?> | <?php kentha_international_date();
												}
												?>
											</h4>	
											<?php 
										} 
										?>
										<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
										<?php 
										if($btn){ 
											?>
											<p>
												<a href="<?php the_permalink(); ?>" class="qt-btn qt-capfont <?php echo esc_attr( $btnstyle ); ?>"><?php  echo esc_html( $buttonlabel ); ?></a>
											</p>
											<?php 
										} 
										?>
									</div>
								</div>
							</li>
							<?php
					endwhile;  
					?>
				</ul>
				<div class="qt-control-arrows">
					<a href="#" class="prev qt-slideshow-link"><i class='material-icons qt-icon-mirror'>arrow_back</i></a>
					<a href="#" class="next qt-slideshow-link"><i class='material-icons'>arrow_forward</i></a>
				</div>
			</div>
			<?php  
		

		else: 
			esc_html_e("Sorry, there is nothing for the moment.", "kentha"); ?>
		<?php  
		endif; 
		wp_reset_postdata();
		return ob_get_clean();
	}
}