<?php  
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if(!function_exists('kentha_elementor_product_slider_function')){
	function kentha_elementor_product_slider_function ($atts){

		ob_start();


		extract( shortcode_atts( array(
			'title' => false,
			'class' => '',
			'items' => array(),
			'isize' => 'large',
			'proportion' => 'auto',
			'proportionmob' => 'auto',
			'height' => '400',
			'textalign' =>'',



			// Query parameters
			'post_type' 			=> 'product',
			'query_event_filter'	=> false,
			'include_by_id'			=> false,
			'custom_query'			=> false,
			'tax_filter'			=> false,
			'items_per_page'		=> '9',
			'orderby'				=> 'date',
			'order'					=> 'DESC',
			'meta_key'				=> false,
			'offset'				=> 0,
			'exclude'				=> '',
			'hideold'				=> false,
			
		), $atts ) );

		$grid_id = 'kentha-elementor-product-slider-'.get_the_ID().'-'.md5( serialize($atts) );

		require( __DIR__ . '/../_helpers/query-prep.php' );
		
		$wp_query_slider = new WP_Query( $args );

		if ( $wp_query_slider->have_posts() ) : 
			?>
			<div id="<?php echo esc_attr( $grid_id ); ?>" class="kentha-elementor-product-slider slider qt-material-slider qt-<?php echo esc_attr($proportion); ?> active"  data-proportion="<?php echo esc_attr($proportion); ?>" data-proportionmob="<?php echo esc_attr($proportionmob); ?>">
				<ul class="slides">
					<?php
					while ( $wp_query_slider->have_posts() ) : $wp_query_slider->the_post();
						$post = $wp_query_slider->post;
						setup_postdata( $post );
						global $product;
						?>
						<li>
							<img src="<?php echo get_the_post_thumbnail_url(null, $isize); ?>" alt="img">
							<div class="caption qt-slidecaption">
								<div class="qt-txt qt-negative <?php echo esc_attr( $textalign ); ?>">
									
									<h4 class="qt-item-metas <?php echo esc_attr( $textalign ); ?>">
										<?php echo $isize; ?>
										<?php if( $showmeta ){ echo get_the_term_list( $product->get_id(), 'product_cat', '', ' '); } ?>
										<?php if ( $price_html = $product->get_price_html() ) : ?><?php if( $showmeta ){ ?> / <?php } ?><span class="price"><?php echo $price_html; ?></span> <?php endif; ?> 
									</h4>	
										

									<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
									
								
									<p>

									<?php 
									if( $product->is_type( 'simple' ) ){
										$prodid = get_the_id();
										$buylink = add_query_arg("add-to-cart", $prodid, get_the_permalink());
									    ?>
									    <a href="<?php echo esc_url($buylink); ?>" data-quantity="1" data-product_id="<?php echo esc_attr($prodid); ?>" class="qt-btn qt-btn-primary qt-btn-l qt-cart product_type_simple add_to_cart_button ajax_add_to_cart">		<?php esc_attr_e( 'Add to cart', 'kentha' ); ?>
									    </a>
									  	<?php
									} elseif( $product->is_type( 'variable' ) ){
									   // Product has variations
									   	?>
									    <a href="<?php the_permalink(); ?>" class="qt-btn qt-btn-primary qt-btn-l"><?php esc_attr_e( 'View details', 'kentha' ); ?></a>
									  	<?php
									} else {
									 	echo apply_filters( 'woocommerce_loop_add_to_cart_link', // WPCS: XSS ok.
										sprintf( '<a href="%s" data-quantity="%s" class="%s" %s>%s</a>',
											esc_url( $product->add_to_cart_url() ),
											1,
											'qt-btn qt-btn-primary qt-btn-l',
											'',
											esc_html( $product->add_to_cart_text() )
										),
										$product, array() );
									 }
									 ?>
									 </p>
										
								</div>
							</div>
						</li>
						<?php 
					endwhile;  
					?>
				</ul>
				<div class="qt-control-arrows">
					<a href="#" class="prev qt-slideshow-link"><i class='material-icons qt-icon-mirror'>arrow_back</i></a>
					<a href="#" class="next qt-slideshow-link"><i class='material-icons'>arrow_forward</i></a>
				</div>
			</div>
			<?php  
		

		else: 
			esc_html_e("Sorry, there is nothing for the moment.", "kentha"); ?>
		<?php  
		endif; 
		wp_reset_postdata();
		return ob_get_clean();
	}
}