<?php  

if(!function_exists('kentha_elementor_release_small_function')) {
	function kentha_elementor_release_small_function($atts){

		ob_start();

		extract( shortcode_atts( array(
			// 'animation_3d' => false,
			'id' => false, // Legacy parameter for retro compatibility 
			'kentha_design' => false,
			'itemsperrow' => false,
			'title' => false,
			'design' => 'default',
			// Query parameters
			'post_type' 			=> 'release',
			'query_event_filter'	=> false,
			'include_by_id'			=> false,
			'custom_query'			=> false,
			'tax_filter'			=> false,
			'items_per_page'		=> '9',
			'orderby'				=> 'date',
			'order'					=> 'DESC',
			'meta_key'				=> false,
			'offset'				=> 0,
			'exclude'				=> '',
			'hideold'				=> false,
			'iprd' => '3',		
			'iprt' => '3',	
			'iprm' => '3',
			'el_id'					=> 'qt-post-carousel-'.uniqid( get_the_ID() ),
			'el_class'				=> '',
			'grid_id'				=> false // required for compatibility with WPBakery Page Builder
		), $atts ) );
	
		
		$grid_id = 'kentha-elementor-cards-grid-'.get_the_ID().'-'.md5( serialize($atts) );
		require( __DIR__ . '/../_helpers/query-prep.php' );
		$wp_query = new WP_Query( $args );

		$colwidth_desktop = 12 / intval($iprd);
		$colwidth_tablet = 12 / intval($iprt);
		$colwidth_mobile = 12 / intval($iprm);

		?>
		<div id="<?php echo esc_attr($grid_id); ?>" class="kentha-elementor-release-small row">
			<?php

		if ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post();
			$post = $wp_query->post;
			$id = $wp_query->post->ID;
			setup_postdata( $post );

			$eventslinks= get_post_meta( $id , 'track_repeatablebuylinks', true );   
			$url =  add_query_arg('qt_json', '1',  get_the_permalink($id));

			?>
				<div class="col s<?php echo esc_attr($colwidth_mobile); ?> m<?php echo esc_attr($colwidth_tablet); ?> l<?php echo esc_attr($colwidth_desktop); ?>" >
					<!-- ITEM INLINE  ========================= -->
					<div <?php post_class("qt-part-archive-item qt-carditem qt-release-small"); ?>>
						
						<?php if(has_post_thumbnail()) { ?>
							<span class="qt-thumbactions">
								<?php the_post_thumbnail( 'kentha-squared', array('class' => "attachment-thumbnail size-thumbnail wp-post-image")); ?>
								<a href="<?php the_permalink(); ?>" class="noajax qt-playthis" data-kenthaplayer-addrelease="<?php echo $url; ?>" data-playnow="1">
									<i class="material-icons qt-icons-circle">play_arrow</i>
								</a>
								<a href="<?php the_permalink(); ?>" class="noajax qt-add qt-btn-secondary" data-clickonce="1" data-kenthaplayer-addrelease="<?php echo esc_url($url); ?>">
									<i class="material-icons">playlist_add</i>
								</a>
								<?php  
								if(is_array($eventslinks)){
									if($eventslinks[0]['cbuylink_url'] != '' && $eventslinks[0]['cbuylink_anchor']){
										// WooCommerce integration 
										$buylink = $eventslinks[0]['cbuylink_url'];
										if(is_numeric($buylink)) {
											$prodid = $buylink;
											$buylink = add_query_arg("add-to-cart" ,   $buylink, get_the_permalink());
											?>
											<a href="<?php echo esc_url( $buylink ); ?>" data-quantity="1" data-product_id="<?php echo esc_attr($prodid); ?>" class="noajax qt-cartbt qt-btn-secondary product_type_simple add_to_cart_button ajax_add_to_cart">
												<i class="material-icons">shopping_cart</i> <?php echo esc_html( $eventslinks[0]['cbuylink_anchor'] ); ?>
											</a>
											<?php  
										} else {
											?>
											<a href="<?php the_permalink(); ?>" class="qt-cartbt qt-btn-secondary" rel="nofollow" target="_blank">
												<i class="material-icons">shopping_cart</i> <?php echo esc_html( $eventslinks[0]['cbuylink_anchor'] ); ?>
											</a>
											<?php
										}
									}
								}
								?>
							</span>
						<?php } ?>
						<span class="qt-details qt-small"></span>
						
						<h6 class="qt-tit">
							<a href="<?php the_permalink(); ?>" class="qt-ellipsis qt-t">
								<?php echo kentha_shorten(get_the_title($id), 16); ?>
							</a>
						</h6>
						<span class="qt-item-metas qt-small">
							<?php 
							$tracks = get_post_meta(get_the_id(), 'track_repeatable');
							if(is_array($tracks)){ 
								$tracks = $tracks[0]; 
								echo count($tracks);  ?>&nbsp;<?php esc_html_e( 'Tracks', 'kentha' ); 
							} ?> | <?php 
								echo date( "Y", strtotime(get_post_meta($id, 'general_release_details_release_date',true))); 
							?>
						</span>
					</div>
					<!-- ITEM INLINE END ========================= -->
				</div>
			<?php 
			endwhile;  else: 
				esc_html_e("Sorry, there is nothing for the moment.", "kentha"); ?>
			<?php  
			endif;  
			wp_reset_postdata();
			?>
		</div>

		<?php 
		/**
		 * Loop end;
		 */
		return ob_get_clean();
	}
}