<?php  
if(!function_exists('kentha_elementor_release_large_function')) {
	function kentha_elementor_release_large_function($atts){

		ob_start();

	
		extract( shortcode_atts( array(
			'title' => false,
			'id' => false, // Legacy parameter for retro compatibility 
			'design' => 'default',
			'itemsperrow' => false,
			'gap' => 15,
			'dots' => 'true',
			'nav' => 'true',
			'pause_on_hover' => 'true',
			'autoplay' => 'true',


			// Query parameters
			'post_type' 			=> 'release',
			'query_event_filter'	=> false,
			'include_by_id'			=> false,
			'custom_query'			=> false,
			'tax_filter'			=> false,
			'items_per_page'		=> '9',
			'orderby'				=> 'date',
			'order'					=> 'DESC',
			'meta_key'				=> false,
			'offset'				=> 0,
			'exclude'				=> '',
			'hideold'				=> false,
			'items_per_row_desktop' => '3',		
			'items_per_row_tablet' => '2',	
			'items_per_row_mobile' => '1',	
			'el_class'				=> '',
			'grid_id'				=> false // required for compatibility with WPBakery Page Builder
		), $atts ) );


		$grid_id = 'kentha-elementor-cards-grid-'.get_the_ID().'-'.md5( serialize($atts) );

		require( __DIR__ . '/../_helpers/query-prep.php' );
		$wp_query = new WP_Query( $args );
		if ( $wp_query->have_posts() ) : 
			?>
			<div id="<?php echo esc_attr($grid_id);  ?>" class="qt-container qt-relative">
				<div class="qt-slickslider-outercontainer qt-slickslider-outercontainer__<?php echo esc_attr($design); ?>">
					<div class="row">
						<div class="col s9 m8">
							<?php if($title){ ?>
								<h3 class="qt-sectiontitle "><?php echo esc_html($title); ?></h3>
							<?php } else { ?>
								<span class="qt-sectiontitle qt-fontsize-h3 qt-invisible"></span>
							<?php } ?>
						</div>
						<?php if($wp_query->post_count > 1  && $design != 'center'){ ?>
						<div class="col s3 m4 qt-carouselcontrols qt-right">
							<i data-slickprev class="material-icons">chevron_left</i>
							<i data-slicknext class="material-icons">chevron_right</i>
						</div>
						<?php } ?>
					</div>
					<div class="qt-relative">
						<div class="qt-slickslider-container qt-singleslide qt-slickslider-cards">
							<div class="qt-slickslider qt-invisible qt-animated qt-slickslider-multiple" data-slidestoshow="1" data-slidestoscroll="1" data-variablewidth="false" 
							data-arrows="<?php echo esc_attr($nav); ?>" 
						data-dots="<?php echo esc_attr($dots); ?>" 
						data-infinite="true" data-centermode="false" data-pauseonhover="true" data-autoplay="4000" data-arrowsmobile="false"  data-centermodemobile="false" data-dotsmobile="false"  data-slidestoshowmobile="1" data-variablewidthmobile="true" data-infinitemobile="false" data-slidestoshowipad="1">
								<?php
								while ( $wp_query->have_posts() ) : $wp_query->the_post();
								$post = $wp_query->post;
								setup_postdata( $post );
								
								?>
								<div class="qt-item qt-item-card qt-card-featured">
									<?php get_template_part( 'phpincludes/part-archive-item-release-featured' ); ?>
								</div>
								<?php endwhile;  ?>
							</div>
						</div>
						<?php if($wp_query->post_count > 1 && $design == 'center'){ ?>
						<div class="qt-carouselcontrols">
							<i data-slickprev class="qt-arr"></i>
							<i data-slicknext class="qt-arr"></i>
						</div>
						<?php } ?>
					</div>
				</div>
			</div>
			<?php 
		else: 
			esc_html_e("Sorry, there is nothing for the moment.", "kentha"); ?>
		<?php  
		endif; 
		wp_reset_postdata();
		/**
		 * Loop end;
		 */
		return ob_get_clean();
	}
}