<?php  
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if(!function_exists('kentha_elementor_singletracks_grid_shortcode')) {
	function kentha_elementor_singletracks_grid_shortcode($atts){
		ob_start();
		extract( shortcode_atts( array(
			// 'animation_3d' => false,
			'id' => false, // Legacy parameter for retro compatibility 
			'kentha_design' => false,
			'itemsperrow' => false,

			'design' => 'default',

			// Query parameters
			'post_type' 			=> 'product',
			'query_event_filter'	=> false,
			'include_by_id'			=> false,
			'custom_query'			=> false,
			'tax_filter'			=> false,
			'items_per_page'		=> '9',
			'orderby'				=> 'date',
			'order'					=> 'DESC',
			'meta_key'				=> false,
			'offset'				=> 0,
			'exclude'				=> '',
			'hideold'				=> false,


			'iprd' => '3',		
			'iprt' => '3',	
			// In mobile is always 12 columns because is a special alternative item design
			
			'el_id'					=> 'qt-post-carousel-'.uniqid( get_the_ID() ),
			'el_class'				=> '',
			'grid_id'				=> false // required for compatibility with WPBakery Page Builder
		), $atts ) );
	
		$offset = (int)$offset;
		if(!is_numeric($offset)) {
			$offset = 0;
		}


		
		$grid_id = 'kentha-elementor-cards-grid-'.get_the_ID().'-'.md5( serialize($atts) );
		$el_id = 'kentha-elementor-cards-grid-el-'.get_the_ID().'-'.md5( serialize($atts) );


		require( __DIR__ . '/../_helpers/query-prep.php' );

		/**
		 * [$wp_query execution of the query]
		 * @var WP_Query
		 */
		$wp_query = new WP_Query( $args );
		
		$colwidth_desktop = 12 / intval($iprd);
		$colwidth_tablet = 12 / intval($iprt);

		if ( $wp_query->have_posts() ) : 
			?>

			<div id="<?php echo esc_attr($grid_id); ?>" class="kentha-elementor-cards-grid row">
				<?php
				if ( $wp_query->have_posts() ) : 
					?>
					<div class="qt-playlist-large qt-short-products-singletracks qt-woocommerce-singletrack-loop qt-woocommerce-singletrack-loop--small qt-woocommerce-singletrack-loop--cards">
						<ul class="qt-playlist row">
							<?php  
							while ( $wp_query->have_posts() ) : $wp_query->the_post();
								$post = $wp_query->post;
								setup_postdata( $post );
								?><li class="qtmusicplayer-trackitem  qt-woocommerce-singletrack-loop__item qt-woocommerce-singletrack-loop__item--card qt-paper col s12 m<?php echo esc_attr( $colwidth_tablet); ?> l<?php echo esc_attr( $colwidth_desktop); ?>"><?php  
								get_template_part ('phpincludes/part-archive-item-product-singletrack-card'); 
								?></li><?php  
							endwhile;
							?>
						</ul>
					</div>
					<?php 
				endif;
				?>
			</div>
			<?php 
		endif; 
		wp_reset_postdata();
		/**
		 * Loop end;
		 */
		return ob_get_clean();
	}
}