<?php  
/* = Options section
=============================================*/


Kirki::add_field( 'astroidz_config', array(
	'type'        => 'switch',
	'settings'    => 'astroidz_active',
	'label'       => esc_html__( 'Activate Astroids component', 'proradio' ),
	'description' => esc_html__( 'Switch on to use the Astroids interactive 3D background', 'proradio' ),
	'section'     => 'astroidz_options_section',
	'priority'    => 0,
));




Kirki::add_field( 'astroidz_config', array(
	'type'        => 'switch',
	'settings'    => 'astroidz_cover_desktop',
	'label'       => esc_html__( 'Display Astroidz background globally', 'proradio' ),
	'description' => esc_html__( 'You can change this option for individual pages using the cusom fields', 'proradio' ),
	'section'     => 'astroidz_options_section',
	'priority'    => 10,
	'default'     => '1',
	'active_callback' => [
		[
			'setting'  	=> 'astroidz_active',
			'operator' 	=> '==',
			'value'    	=> true,
		]
	],
));

Kirki::add_field( 'astroidz_config', array(
	'type'        => 'slider',
	'settings'    => 'astroidz_quantity',
	'label'       => esc_html__( 'Number of asteroids', 'proradio' ),
	'section'     => 'astroidz_options_section',
	'priority'    => 10,
	'default'     => 20,
	'choices'     => [
		'min'  => 0,
		'max'  => 160,
		'step' => 1,
	],
	'active_callback' => [
		[
			'setting'  	=> 'astroidz_active',
			'operator' 	=> '==',
			'value'    	=> true,
		]
	],
));

Kirki::add_field( 'astroidz_config', array(
	'type'        => 'switch',
	'settings'    => 'astroidz_glitchPass',
	'label'       => esc_html__( 'Enable glitch effect', 'proradio' ),
	'description' => esc_html__( 'GPU intensive, leave OFF if you notice performance issues', 'proradio' ),
	'section'     => 'astroidz_options_section',
	'priority'    => 10,
	'active_callback' => [
		[
			'setting'  	=> 'astroidz_active',
			'operator' 	=> '==',
			'value'    	=> true,
		]
	],
));

Kirki::add_field( 'astroidz_config', array(
	'type'        => 'switch',
	'settings'    => 'astroidz_effectFilm',
	'label'       => esc_html__( 'Enable film effect', 'proradio' ),
	'description' => esc_html__( 'GPU intensive, leave OFF if you notice performance issues', 'proradio' ),
	'section'     => 'astroidz_options_section',
	'priority'    => 10,
	'active_callback' => [
		[
			'setting'  	=> 'astroidz_active',
			'operator' 	=> '==',
			'value'    	=> true,
		]
	],
));

Kirki::add_field( 'astroidz_config', array(
	'type'        => 'switch',
	'settings'    => 'astroidz_effectBlur',
	'label'       => esc_html__( 'Enable blur effect', 'proradio' ),
	'description' => esc_html__( 'GPU intensive, leave OFF if you notice performance issues', 'proradio' ),
	'section'     => 'astroidz_options_section',
	'priority'    => 10,
	'active_callback' => [
		[
			'setting'  	=> 'astroidz_active',
			'operator' 	=> '==',
			'value'    	=> true,
		]
	],
));
