<?php 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}



function kentha_ocdi_import_files() {
	$url = 'https://qantumthemes.xyz/t2gconnector-comm/kentha-3/demodata-2020/';

	$import_file_url 			= $url.'demo11/kentha-demo11-contents-1.xml';
	$import_widget_file_url 	= $url.'demo11/kentha-demo11-widgets-1.wie';
	$import_customizer_file_url = $url.'demo11/kentha-demo11-customizations-1.json';


	$demos = array(
		array(
			'import_file_name'           => 'Demo 11 - Elementor main demo video background',
			'categories'                 => array( 'Elementor', 'main' ),
			'import_file_url'            => $import_file_url,
			'import_widget_file_url'     => $import_widget_file_url,
			'import_customizer_file_url' => $import_customizer_file_url, // dat extension triggers security restrictions
			'import_notice'              => esc_html__( 'After importing the first demo, you can change demo in settings > reading.', 'kentha' ),
			'preview_url'                => 'https://qantumthemes.xyz/kentha/demo11/',
			'import_preview_image_url'	 => $url.'demo11/preview-main.jpg',
		),
		array(
			'import_file_name'           => 'Demo 12 - Elementor 3D home',
			'categories'                 => array( 'Elementor', 'main' ),
			'import_file_url'            => $import_file_url,
			'import_widget_file_url'     => $import_widget_file_url,
			'import_customizer_file_url' => $import_customizer_file_url, // dat extension triggers security restrictions
			'import_notice'              => esc_html__( 'After importing the first demo, you can change demo in settings > reading.', 'kentha' ),
			'preview_url'                => 'https://qantumthemes.xyz/kentha/demo11/3d-home/',
			'import_preview_image_url'	 => $url.'demo11/preview-3d.jpg',
		),
		array(
			'import_file_name'           => 'Demo 13 - Elementor Artist',
			'categories'                 => array( 'Elementor', 'Artist' ),
			'import_file_url'            => $import_file_url,
			'import_widget_file_url'     => $import_widget_file_url,
			'import_customizer_file_url' => $import_customizer_file_url, // dat extension triggers security restrictions
			'import_notice'              => esc_html__( 'After importing the first demo, you can change demo in settings > reading.', 'kentha' ),
			'preview_url'                => 'https://qantumthemes.xyz/kentha/demo11/artist-home/',
			'import_preview_image_url'	 => $url.'demo11/preview-artist.jpg',
		),
		array(
			'import_file_name'           => 'Demo 14 - Elementor band',
			'categories'                 => array( 'Elementor', 'band' ),
			'import_file_url'            => $import_file_url,
			'import_widget_file_url'     => $import_widget_file_url,
			'import_customizer_file_url' => $import_customizer_file_url, // dat extension triggers security restrictions
			'import_notice'              => esc_html__( 'After importing the first demo, you can change demo in settings > reading.', 'kentha' ),
			'preview_url'                => 'https://qantumthemes.xyz/kentha/demo11/band/',
			'import_preview_image_url'	 => $url.'demo11/preview-band.jpg',
		),
		array(
			'import_file_name'           => 'Demo 15 - Elementor discography home',
			'categories'                 => array( 'Elementor', 'discography' ),
			'import_file_url'            => $import_file_url,
			'import_widget_file_url'     => $import_widget_file_url,
			'import_customizer_file_url' => $import_customizer_file_url, // dat extension triggers security restrictions
			'import_notice'              => esc_html__( 'After importing the first demo, you can change demo in settings > reading.', 'kentha' ),
			'preview_url'                => 'https://qantumthemes.xyz/kentha/demo11/discography/',
			'import_preview_image_url'	 => $url.'demo11/preview-discography.jpg',
		),
		array(
			'import_file_name'           => 'Demo 16 - Elementor DJ home',
			'categories'                 => array( 'Elementor', 'DJ' ),
			'import_file_url'            => $import_file_url,
			'import_widget_file_url'     => $import_widget_file_url,
			'import_customizer_file_url' => $import_customizer_file_url, // dat extension triggers security restrictions
			'import_notice'              => esc_html__( 'After importing the first demo, you can change demo in settings > reading.', 'kentha' ),
			'preview_url'                => 'https://qantumthemes.xyz/kentha/demo11/dj/',
			'import_preview_image_url'	 => $url.'demo11/preview-dj.jpg',
		),
		array(
			'import_file_name'           => 'Demo 17 - Elementor event home',
			'categories'                 => array( 'Elementor', 'event' ),
			'import_file_url'            => $import_file_url,
			'import_widget_file_url'     => $import_widget_file_url,
			'import_customizer_file_url' => $import_customizer_file_url, // dat extension triggers security restrictions
			'import_notice'              => esc_html__( 'After importing the first demo, you can change demo in settings > reading.', 'kentha' ),
			'preview_url'                => 'https://qantumthemes.xyz/kentha/demo11/events-home/',
			'import_preview_image_url'	 => $url.'demo11/preview-event.jpg',
		),
		array(
			'import_file_name'           => 'Demo 18 - Elementor label home',
			'categories'                 => array( 'Elementor', 'label' ),
			'import_file_url'            => $import_file_url,
			'import_widget_file_url'     => $import_widget_file_url,
			'import_customizer_file_url' => $import_customizer_file_url, // dat extension triggers security restrictions
			'import_notice'              => esc_html__( 'After importing the first demo, you can change demo in settings > reading.', 'kentha' ),
			'preview_url'                => 'https://qantumthemes.xyz/kentha/demo11/label/',
			'import_preview_image_url'	 => $url.'demo11/preview-label.jpg',
		),
		array(
			'import_file_name'           => 'Demo 19 - Elementor tracklist home',
			'categories'                 => array( 'Elementor', 'tracklist' ),
			'import_file_url'            => $import_file_url,
			'import_widget_file_url'     => $import_widget_file_url,
			'import_customizer_file_url' => $import_customizer_file_url, // dat extension triggers security restrictions
			'import_notice'              => esc_html__( 'After importing the first demo, you can change demo in settings > reading.', 'kentha' ),
			'preview_url'                => 'https://qantumthemes.xyz/kentha/demo11/tracklist/',
			'import_preview_image_url'	 => $url.'demo11/preview-playlist.jpg',
		),



		
		
	);


	$import_file_url_demo12			= $url.'demo12/kentha-demo12-contents.xml';
	$import_widget_file_url_demo12 	= $url.'demo12/kentha-demo12-widgets.wie';
	$import_customizer_file_url_demo12 = $url.'demo12/kentha-demo12-customizations.json';
	$demos[] = array(
			'import_file_name'           => 'Demo 20 - Techno Music Elementor',
			'categories'                 => array( 'Elementor', 'tracklist' ),
			'import_file_url'            => $import_file_url_demo12,
			'import_widget_file_url'     => $import_widget_file_url_demo12,
			'import_customizer_file_url' => $import_customizer_file_url_demo12, // dat extension triggers security restrictions
			'import_notice'              => esc_html__( 'After importing the first demo, you can change home selection in settings - reading.', 'kentha' ),
			'preview_url'                => 'https://qantumthemes.xyz/kentha/demo12/',
			'import_preview_image_url'	 => $url.'demo12/kentha-demo12-home01.jpg',
		);
	$demos[] = array(
			'import_file_name'           => 'Demo 21 - Dj Producer Elementor',
			'categories'                 => array( 'Elementor', 'techno', 'underground', 'dj' ),
			'import_file_url'            => $import_file_url_demo12,
			'import_widget_file_url'     => $import_widget_file_url_demo12,
			'import_customizer_file_url' => $import_customizer_file_url_demo12, // dat extension triggers security restrictions
			'preview_url'                => 'https://qantumthemes.xyz/kentha/demo12/home-02/',
			'import_notice'              => esc_html__( 'After importing the first demo, you can change home selection in settings - reading.', 'kentha' ),
			'import_preview_image_url'	 => $url.'demo12/kentha-demo12-home02.jpg',
		);
	$demos[] = array(
			'import_file_name'           => 'Demo 22 - Club Elementor',
			'categories'                 => array( 'Elementor', 'techno', 'underground' ,'club'),
			'import_file_url'            => $import_file_url_demo12,
			'import_widget_file_url'     => $import_widget_file_url_demo12,
			'import_customizer_file_url' => $import_customizer_file_url_demo12, // dat extension triggers security restrictions
			'preview_url'                => 'https://qantumthemes.xyz/kentha/demo12/home-03/',
			'import_notice'              => esc_html__( 'After importing the first demo, you can change home selection in settings - reading.', 'kentha' ),
			'import_preview_image_url'	 => $url.'demo12/kentha-demo12-home03.jpg',
		);
	$demos[] = array(
			'import_file_name'           => 'Demo 23 - Music label Elementor',
			'categories'                 => array( 'Elementor', 'techno', 'underground','label', 'records' ),
			'import_file_url'            => $import_file_url_demo12,
			'import_widget_file_url'     => $import_widget_file_url_demo12,
			'import_customizer_file_url' => $import_customizer_file_url_demo12, // dat extension triggers security restrictions
			'preview_url'                => 'https://qantumthemes.xyz/kentha/demo12/home-04/',
			'import_notice'              => esc_html__( 'After importing the first demo, you can change home selection in settings - reading.', 'kentha' ),
			'import_preview_image_url'	 => $url.'demo12/kentha-demo12-home04.jpg',
		);
	$demos[] = array(
			'import_file_name'           => 'Demo 24 - Parties and events Elementor',
			'categories'                 => array( 'Elementor', 'techno', 'underground','events','party' ),
			'import_file_url'            => $import_file_url_demo12,
			'import_widget_file_url'     => $import_widget_file_url_demo12,
			'import_customizer_file_url' => $import_customizer_file_url_demo12, // dat extension triggers security restrictions
			'preview_url'                => 'https://qantumthemes.xyz/kentha/demo12/home-05/',
			'import_notice'              => esc_html__( 'After importing the first demo, you can change home selection in settings - reading.', 'kentha' ),
			'import_preview_image_url'	 => $url.'demo12/kentha-demo12-home05.jpg',
		);
	$demos[] = array(
			'import_file_name'           => 'Demo 25 - Multipurpose Elementor',
			'categories'                 => array( 'Elementor', 'techno', 'underground' ),
			'import_file_url'            => $import_file_url_demo12,
			'import_widget_file_url'     => $import_widget_file_url_demo12,
			'import_customizer_file_url' => $import_customizer_file_url_demo12, // dat extension triggers security restrictions
			'preview_url'                => 'https://qantumthemes.xyz/kentha/demo12/home-06/',
			'import_notice'              => esc_html__( 'After importing the first demo, you can change home selection in settings - reading.', 'kentha' ),
			'import_preview_image_url'	 => $url.'demo12/kentha-demo12-home06.jpg',
		);

	return $demos;
}
add_filter( 'pt-ocdi/import_files', 'kentha_ocdi_import_files' );





function kentha_ocdi_after_import_setup( $selected_import ) {

	// use the name of the selected import
	$demo_name =  $selected_import['import_file_name'];


	$primary_menu = get_term_by( 'name', 'main', 'nav_menu' );
	$footer_menu = get_term_by( 'name', 'footer', 'nav_menu' );
	$offcanvas_menu = get_term_by( 'name', 'main', 'nav_menu' );



	/// Demo 12 home pages
	
	if ( 'Demo 20 - Techno Music Elementor' === $demo_name ) {
		$front_page_id = get_page_by_title( 'Home 01' );
	}	
	if ( 'Demo 21 - Dj Producer Elementor' === $demo_name ) {
		$front_page_id = get_page_by_title( 'Home 02' );
	}
	if ( 'Demo 22 - Club Elementor' === $demo_name ) {
		$front_page_id = get_page_by_title( 'Home 03' );
	}
	if ( 'Demo 23 - Music label Elementor' === $demo_name ) {
		$front_page_id = get_page_by_title( 'Home 04' );
	}
	if ( 'Demo 24 - Parties and events Elementor' === $demo_name ) {
		$front_page_id = get_page_by_title( 'Home 05' );
	}
	if ( 'Demo 25 - Multipurpose Elementor' === $demo_name ) {
		$front_page_id = get_page_by_title( 'Home 06' );
	}	




	// Demo 11

	if ( 'Demo 11 - Elementor main demo video background' === $demo_name ) {
		$front_page_id = get_page_by_title( 'Home' );
	}
	if ( 'Demo 12 - Elementor 3D home' === $demo_name ) {
		$front_page_id = get_page_by_title( '3D Home' );
	}
	if ( 'Demo 13 - Elementor Artist' === $demo_name ) {
		$front_page_id = get_page_by_title( 'Artists' );
	}
	if ( 'Demo 14 - Elementor band' === $demo_name ) {
		$front_page_id = get_page_by_title( 'Band' );
	}
	if ( 'Demo 15 - Elementor discography home' === $demo_name ) {
		$front_page_id = get_page_by_title( 'Discography' );
	}
	if ( 'Demo 16 - Elementor DJ home' === $demo_name ) {
		$front_page_id = get_page_by_title( 'DJ' );
	}
	if ( 'Demo 17 - Elementor event home' === $demo_name ) {
		$front_page_id = get_page_by_title( 'Event' );
	}
	if ( 'Demo 18 - Elementor label home' === $demo_name ) {
		$front_page_id = get_page_by_title( 'Label' );
	}
	if ( 'Demo 19 - Elementor tracklist home' === $demo_name ) {
		$front_page_id = get_page_by_title( 'Tracklist' );
	}
	

	

	/**
	 * 
	 * Set the home
	 * 
	 */
	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );

	/**
	 * 
	 * Set the menus
	 * 
	 */
	$menus = array();
	if( isset( $primary_menu ) ){
		echo '<h1>primary_menu</h1>';
		print_r($primary_menu);
		$menus['kentha_menu_primary'] = $primary_menu->term_id;
	}
	if( isset( $footer_menu ) ){
		echo '<h1>footer_menu</h1>';
		print_r($footer_menu);
		$menus['kentha_menu_footer'] = $footer_menu->term_id;
	}
	if( isset( $offcanvas_menu ) ){
		echo '<h1>offcanvas_menu</h1>';
		print_r($offcanvas_menu);
		$menus['kentha_menu_offcanvas'] = $offcanvas_menu->term_id;
	}

	if( count( $menus ) >= 1 ){ // If my array has items, set them
		set_theme_mod( 'nav_menu_locations', $menus );
	}

}
add_action( 'pt-ocdi/after_import', 'kentha_ocdi_after_import_setup' );