<?php  
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}


add_action( 'vc_before_init', 'qtt_vcSetAsTheme' );
function qtt_vcSetAsTheme() {
  vc_set_as_theme();
}


/**
Default composer is still WPBakery if is still installed.
If no composer is installed, the default is Elementor.
*/


/**
*	===========================================
*	Deactivate obsolete plugins	
*	===========================================
*/
if(!function_exists( 'qt_deactivate_plugin_admin_notice' ) ){
	function qt_deactivate_plugin_admin_notice(){   
	     echo '<div class="notice notice-warning is-dismissible">
	         <p>The plugin Easy Swipebox has been deactived because incompatible with WordPress 5.6</p>
	     </div>';
	}
}
if(!function_exists( 'qt_wp_deactivate_plugin_conditional' ) && function_exists( 'qt_swipebox_loader' )){

	// add_action( 'admin_init', 'qt_wp_deactivate_plugin_conditional' );
	function qt_wp_deactivate_plugin_conditional() {
		$plugin_path = 'qt-swipebox/qw-swipebox.php';
	    if ( is_plugin_active( $plugin_path ) ) {
			// deactivate_plugins( $plugin_path, true );    
	    	// add_action('admin_notices', 'qt_deactivate_plugin_admin_notice');
	    }
	}
}




/**
*
* Return current used composer. If WPBakery is active, that's default, otherwise is Elementor.
*
*/
if(!function_exists('kentha_default_composer')){
	function kentha_default_composer(){
		$default = 'elementor';
		if( defined( 'WPB_VC_VERSION' ) ){
			$default = 'wpbakery';
		}
		$composer = get_option( 'kentha-composer', $default );
		// echo 'Composer'.$composer;
		return $composer;
	}
}

function kentha_chosen_composer(){
	return get_option( 'kentha-composer', kentha_default_composer() );
}

// URL Constants
if(!function_exists('kentha_additional_plugins_url')){
	function kentha_additional_plugins_url(){
		/**
		* Since version 3 the plugins list is difrerent depending on the current editor
		*/
		$composer = kentha_default_composer();

		// return 'http://qantumthemes.xyz/t2gconnector-comm/kentha-3/tgm-json-elementor/';
		// No space for fantasy
		if( 'wpbakery' == $composer){
			return 'http://qantumthemes.xyz/t2gconnector-comm/kentha-3/tgm-json-wpbakery/';
		} else if( 'elementor' == $composer ){
			return 'http://qantumthemes.xyz/t2gconnector-comm/kentha-3/tgm-json-elementor/';
		}
	}
}

// Never change
function kentha_tgm_iid_url(){
	return 'http://qantumthemes.xyz/t2gconnector-comm/kentha-3/iid/';
}
function kentha_connector_url(){
	return 'http://qantumthemes.xyz/t2gconnector-comm/connector-proxy/';
}
function kentha_connector_documentation_url(){
	return 'https://qantumthemes.xyz/manuals/kentha/';
}
function kentha_support_message(){
	return 'Please contact us via <a href="https://qantumthemes.xyz/manuals/kentha/knowledge-base/support/" target="_blank">HelpDesk</a> https://qantumthemes.xyz/manuals/kentha/knowledge-base/support/';
}
function qtt_support_message(){
	return 'Please contact us via <a href="https://qantumthemes.xyz/manuals/kentha/knowledge-base/support/" target="_blank">HelpDesk</a> https://qantumthemes.xyz/manuals/kentha/knowledge-base/support/';
}
function kentha_tgmpa_page(){
	return 'kentha-install-plugins';
}
function kentha_stored_optionname(){
	return 'kentha_stored_required_plugins';
}

/**
 * This is the list of plugins used by TGM
 * It can be extended by our repository list which can be fetched dynamically.
 */
function kentha_default_plugins_list(){


	$default_plugins = array(
		array(
	        'name'     			 => esc_html__('Server check', 'kentha' ),
	        'slug'     			 => 'qt-servercheck',
	        'required'           => true,
	        'source'			 => get_template_directory_uri() . '/inc/tgm-plugin-activation/plugins/qt-servercheck-2.0.zip',
	        'version'			 => '2.0'
		),
		array(
	        'name'     			 => esc_html__('Envato Market', 'kentha' ),
	        'slug'     			 => 'envato-market',
	        'source'			 => get_template_directory_uri() . '/inc/tgm-plugin-activation/plugins/envato-market-2.0.11.zip',
	        'version'			 => '2.0.11'
		),
		array(
	        'name'     			 => esc_html__('Theme Core Plugin', 'kentha' ),
	        'slug'     			 => 'ttg-core',
	        'source'			 => get_template_directory_uri() . '/inc/tgm-plugin-activation/plugins/ttg-core-3.1.9.zip',
	        'version'			 => '3.1.9'
		),
		array(
	        'name'     			 => esc_html__('QT Places', 'kentha' ),
	        'slug'     			 => 'qt-places',
	        'source'			 => get_template_directory_uri() . '/inc/tgm-plugin-activation/plugins/qt-places-1.8.2.zip',
	        'version'			 => '1.8.2'
		),
		array(
	        'name'     			 => esc_html__('QT Kentha ContactForm', 'kentha' ),
	        'slug'     			 => 'qt-kentha-contactform',
	        'source'			 => get_template_directory_uri() . '/inc/tgm-plugin-activation/plugins/qt-kentha-contactform-2.0.zip',
	        'version'			 => '2.0'
		),
		array(
	        'name'     			 => esc_html__('QT Kentha Player', 'kentha' ),
	        'slug'     			 => 'qt-kenthaplayer',
	        'source'			 => get_template_directory_uri() . '/inc/tgm-plugin-activation/plugins/qt-kenthaplayer-3.1.0.zip',
	        'version'			 => '3.1.0'
		),
		array(
	        'name'     			 => esc_html__('QT Kentha Widgets', 'kentha' ),
	        'slug'     			 => 'kentha-widgets',
	        'source'			 => get_template_directory_uri() . '/inc/tgm-plugin-activation/plugins/kentha-widgets-1.0.7.zip',
	        'version'			 => '1.0.7'
		),
		array(
	        'name'     			 => esc_html__('QT Swipebox', 'kentha' ),
	        'slug'     			 => 'qt-swipebox',
	        'source'			 => get_template_directory_uri() . '/inc/tgm-plugin-activation/plugins/qt-swipebox-5.6.3.zip',
	        'version'			 => '5.6.3'
		),
		array(
	        'name'     			 => esc_html__('QT Kentha Ajax page loading for nonstop music', 'kentha' ),
	        'slug'     			 => 'qt-kentha-ajax-pageload',
	        'source'			 => get_template_directory_uri() . '/inc/tgm-plugin-activation/plugins/qt-kentha-ajax-pageload-3.2.zip',
	        'version'			 => '3.2'
		),
		array(
	        'name'     			 => esc_html__('QT Kentha Share', 'kentha' ),
	        'slug'     			 => 'qt-kentha-share',
	        'source'			 => get_template_directory_uri() . '/inc/tgm-plugin-activation/plugins/qt-kentha-share-1.1.0.zip',
	        'version'			 => '1.1.0'
		),
		array(
	        'name'     			 => esc_html__('QT Chart Voting', 'kentha' ),
	        'slug'     			 => 'qt-chartvote',
	        'source'			 => get_template_directory_uri() . '/inc/tgm-plugin-activation/plugins/qt-chartvote-1.2.zip',
	        'version'			 => '1.2'
		),
		array(
	        'name'     			 => esc_html__('QT KenthaRadio', 'kentha' ),
	        'slug'     			 => 'qt-kentharadio',
	        'source'			 => get_template_directory_uri() . '/inc/tgm-plugin-activation/plugins/qt-kentharadio-2.2.0.zip',
	        'version'			 => '2.2.0'
		),
		array(
	        'name'     			 => esc_html__('One Click Demo Import', 'kentha' ),
	        'slug'     			 => 'one-click-demo-import'
		),
		array(
	        'name'     			 => esc_html__('MailChimp for WordPress', 'kentha' ),
	        'slug'     			 => 'mailchimp-for-wp'
		),
		array(
	        'name'     			 => esc_html__('Contact Form 7', 'kentha' ),
	        'slug'     			 => 'contact-form-7'
		),
		array(
	        'name'     			 => esc_html__('Classic Editor', 'kentha' ),
	        'slug'     			 => 'classic-editor'
		),
		array(
	        'name'     			 => esc_html__('Classic widgets', 'kentha' ),
	        'slug'     			 => 'classic-widgets'
		),
		array(
	        'name'     			 => esc_html__('Elementor', 'kentha' ),
	        'slug'     			 => 'elementor'
		),
		array(
	        'name'     			 => esc_html__('Kentha Elementor Widgets', 'kentha' ),
	        'slug'     			 => 'kentha-elementor',
	        'source'			 => get_template_directory_uri() . '/inc/tgm-plugin-activation/plugins/kentha-elementor-2.1.0.zip',
	        'version'			 => '2.1.0'
		),
		array(
	        'name'     			 => esc_html__('WPBakery Page Builder', 'kentha' ),
			'slug'     			 => 'js_composer',
	        'source'			 => get_template_directory_uri() . '/inc/tgm-plugin-activation/plugins/js_composer-7.5.zip',
	        'version'			 => '7.5'
		),
		array(
	        'name'     			 => esc_html__('Slider Revolution', 'kentha' ),
			'description'     	 => 'This is the latest COMPATIBLE version. You are free to upgrade but version 6.X is not compatible with ajax.',
	        'slug'     			 => 'revslider',
	        'source'			 => get_template_directory_uri() . '/inc/tgm-plugin-activation/plugins/revslider-6.6.20.zip',
	        'version'			 => '6.6.20'
		),
	);

	return $default_plugins;
}