<?php
/**
 * @package    TGM-Plugin-Activation
 * @subpackage kentha
 **/

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

function kentha_disable_activation_link(){
	return;
	ob_start();
	$kentha_iid = kentha_iid();
	if(isset($_GET)){
		if( isset( $_GET[ 'kentha-tgm-remove-act-nonce' ] ) && isset( $_GET[ 'kentha-tgm-remove-act' ] ) ){
			$nonce = $_GET[ 'kentha-tgm-remove-act-nonce' ];
			if ( wp_verify_nonce( $nonce, 'remove-act-nonce') ) {
			   	if( isset ($_GET[ 'kentha-tgm-remove-act-conf' ] ) ){
			   		if( $_GET[ 'kentha-tgm-remove-act-conf' ] == '2' ){
				   		delete_option( 'kentha_' . 'ac' . 'k_'. $kentha_iid );
				   	} else {
				   		esc_html_e( 'Invalid request', 'kentha' );
				   	}
			   	} else {
				   	/**
					 * 
					 * Allow to disable activation + confirmation
					 * @var [type]
					 * 
					 */
					$urladmin = admin_url( 'themes.php?page=kentha-welcome' );
					$url = add_query_arg(
				        array(
				        	'kentha-tgm-remove-act' => '1',
				        	'kentha-tgm-remove-act-conf' => '2',
				            'kentha-tgm-remove-act-nonce' => wp_create_nonce( 'remove-act-nonce' )
				        ),
				        $urladmin
				    );
					?>
					<p class="kentha-welcome__center"><?php esc_html_e("Please confirm to remove activation:", 'kentha') ?><a href="<?php echo esc_url( $url ); ?>"><?php esc_html_e( 'click here', 'kentha' ); ?></a></p>


					<?php
				}
			} else {
				echo 'Invalid';
			}
		} else {

			/**
			 * 
			 * Allow to disable activation
			 * @var [type]
			 * 
			 */
			$urladmin = admin_url( 'themes.php?page=kentha-welcome' );
			$url = add_query_arg(
		        array(
		        	'kentha-tgm-remove-act' => '1',
		            'kentha-tgm-remove-act-nonce' => wp_create_nonce( 'remove-act-nonce' )
		        ),
		        $urladmin
		    );
			?>
			<p class="kentha-welcome__center"><?php esc_html_e("To remove the activation from this website and use the purchase code in another website, ", 'kentha') ?><a href="<?php echo esc_url( $url ); ?>"><?php esc_html_e( 'click here', 'kentha' ); ?></a>.<br> Once removed the purchase code, please delete the theme and the plugins, and email us at support@qantumthemes.com</p>
			<?php
		}
		return ob_get_clean();
	}
	return;
}



/**
*	===========================================
*	Save form input
* 	Double nonce verify for double security
*	===========================================
*/

if ( ! function_exists( 'kentha_welcome_page_update_options' ) ) {
	function kentha_welcome_page_update_options() {
		if(isset($_GET) && isset($_POST)){
			if( isset( $_POST['nonce_verify_builder'] ) && isset( $_GET['kentha-builder-verify'] ) && isset($_POST['kentha-composer']) ){
				if ( wp_verify_nonce( $_GET['kentha-builder-verify'], 'kentha-builder-verify') && wp_verify_nonce( $_POST['nonce_verify_builder'], 'action_store_builder') ) {
					// remove cached plugin lists if we change editor
					if( $_POST['kentha-composer'] != kentha_default_composer() ){
						delete_option( kentha_stored_optionname() );
					}
					// Update stored option
					if($_POST['kentha-composer'] == 'wpbakery'){
						update_option( 'kentha-composer', 'wpbakery' );
					} else {
						update_option( 'kentha-composer', 'elementor' );
					}
				}
			}
		}
	}
	kentha_welcome_page_update_options();
}










/**
 * kentha Welcome Page
 * =============================================*/
if ( ! function_exists( 'kentha_welcome_page_content' ) ) {
	function kentha_welcome_page_content() {
		
		if(!is_admin()){
			return;
		}
		$kentha_iid = kentha_iid( true );
		$msg_rem = kentha_disable_activation_link();


		if(isset($_POST)){
			if(isset( $_POST['kenthapcode']) ){
				if ( ! isset( $_POST['nonce_verify_pc'] )   || ! wp_verify_nonce( $_POST['nonce_verify_pc'], 'action_verify' ) ) {
				   	wp_die( esc_html_e('This request comes from an unidentified source. If you should not expect this error, please contact the theme author.', 'kentha') );
				    exit;
				} else {
					$tpc =  esc_attr( trim( $_POST['kenthapcode'] ) );
					if (preg_match("/^(\w{8})-((\w{4})-){3}(\w{12})$/", $tpc)) {
						$args = array(
							'method'        => 'POST',
							'timeout'       => 45,
							'redirection'   => 5,
							'httpversion'   => '1.0',
							'blocking'      => true,
							'user-agent' 	=> 'WordPress Connector',
							'headers'       => array(),
							'body'          => array( 
								'ttg_connector_envato_pc' 		=> $tpc,
								'ttg_connector_website_url' 	=> get_site_url(),
								'ttg_connector_iid' 			=> $kentha_iid,
								'ttg_connector_person'			=> kentha_person()
							),
						);
						$request = wp_remote_post(  kentha_connector_url() , $args );
						if( is_wp_error( $request ) ){
							$error_message = $request->get_error_message();
							add_action( 'admin_notices', 'kentha_plugins_conn__error' );
							return $error_message;
						} else {
							if( $request['response']['code'] == '200' ){
								$p = stripos($request['body'], 'error' );

								if( $p !== false ) {
									$msg = '<span class="kentha-welcome__msg__error">'.$request['body'].'</span>'. '<br>' . esc_html__('If you are sure that your code is correct, please retry late or use the Support section of the theme documentation. Thanks.', 'kentha');
								} else {
									$msg = '<span class="kentha-welcome__msg__success">'.esc_html__('Congratulations! Your purchase code was correctly verified!', 'kentha').'</span>';
									update_option( 'kentha_' . 'ac' . 'k_'. $kentha_iid , esc_attr( trim( $request['body'] ) ) ); // helps against thefts
								}
							} else {
								$msg = esc_html( $request['response']['code'] );
							}
						}				
					}  else {
						$msg = '<span class="kentha-welcome__msg__error">'.esc_html__('Sorry, this is not a valid purchase code.', 'kentha').'</span>';
					} 	
				}
			}
		}


		$current_theme = wp_get_theme();
		if( is_child_theme() ){
			$current_theme = $current_theme->parent();
		}
		$title = sprintf(
			esc_html__( 'Thank you for choosing %1$s %2$s', 'kentha' ),
			$current_theme->name,
			$current_theme->version
		);

		/**
		*	===========================================
		*	Verified
		*	===========================================
		*/
		$v = kentha_tgm_pcv( trim( $kentha_iid ) );

		?>
		<div class="kentha-welcome">
			<div class="kentha-welcome__container">
				<div class="kentha-welcome__wrapper">
					<div class="kentha-welcome__logo">
						<img src="<?php echo esc_url( get_theme_file_uri('/inc/tgm-plugin-activation/img/logo.png' )); ?>" alt="<?php esc_attr_e('Logo','firlw'); ?>">
					</div>
					<h1 class="kentha-welcome__title"><?php echo esc_html( $title ); ?></h1>
					<?php
					if( isset( $msg ) ){
						?> <p class="kentha-welcome__center"> <?php echo wp_kses_post( $msg ); ?></p><?php
					}
					if( true == $v ) {
						?>
						<p class="kentha-welcome__description">
							<?php
							echo esc_html(
								sprintf(
									esc_html__( 'Very good! The %1$s license is active.', 'kentha' ),
										$current_theme->name
								)
							);
							?><br>


							<?php  
							/**
							 * Link including a force refresh
							 */
							$urladmin = admin_url( 'themes.php?page='.kentha_tgmpa_page() );
							$url = add_query_arg(
						        array(
						        	'tgm-refresh-iid' => '1',
						            'tgmpa-force' => '1',
						            'tgmpa-force-nonce2' => wp_create_nonce( 'tgmpa-force-nonce2' ),
						            'tgmpa-force-nonce' => wp_create_nonce( 'tgmpa-force-nonce' )
						        ),
						        $urladmin
						    );


							?>
							
						</p>
						<p class="kentha-welcome__center">
						<a href="<?php echo esc_url( $url ); ?>" class="kentha-welcome__btn"><?php
							echo esc_html(
								sprintf(
									esc_html__( 'Go to %1$s Plugins ', 'kentha' ),
										$current_theme->name
								)
							);
							?></a></p>

						<?php
						if( isset( $msg_rem ) ){
							echo wp_kses_post( $msg_rem ) ;
						}
					} else {
						?>
						<h4 class="kentha-welcome__center"><?php esc_html_e( 'Please copy here your purchase code to enjoy automatic plugins installation and demo import' , 'kentha' ); ?></h4>
						<form class="kentha-welcome__form" method="post" action="<?php echo admin_url() . 'themes.php?page=kentha-welcome'; ?>">
							<input type="text" name="kenthapcode" class="kentha-pcode" placeholder="<?php esc_attr_e('Your purchase code', 'kentha'); ?>">
							<?php wp_nonce_field( 'action_verify', 'nonce_verify_pc' ); ?>
							<input type="submit" value="<?php esc_html_e('Verify', 'kentha'); ?>"  class="kentha-btn button button-primary">
						</form>
						<p class="kentha-welcome__center"><a href="https://help.market.envato.com/hc/en-us/articles/202822600-Where-Is-My-Purchase-Code-" target="_blank"><?php esc_html_e( 'Where is my purchase code?', 'kentha' ); ?></a></p>
						<p class="kentha-welcome__center"><strong>Activation issues?</strong> If after adding the code, you get a confirmation message but the code is not saved, it means it was used on another website.<br>Please email us at support@qantumthemes.com adding your <strong>purchase code and website URL</strong>. We will reset your code within 24 hours. Activation should be done on your final domain, not on temporary domains. You can do multiple activations on 127.0.0.1 or localhost.</p>
						<?php
					}
					?>
				</div>
			</div>
			

			



			<?php
			/**
			*	===========================================
			*	Additional content after activation	
			*	===========================================
			*/ 
			?>

			<div class="kentha-welcome__container">
				<div class="kentha-welcome__panel">
					<h2><?php esc_html_e('Page editor options', 'kentha'); ?></h2>
					<h4>Things to know</h4>
					<ol>
					<li>Kentha supports both Elementor and WPBakery. <strong>Demos availability depends on this choice. <a href="https://qantumthemes.xyz/kentha/lp/" target="_blank">Open catalogue</a></strong></li>
					<li>You can switch anytime, but  <strong>pages built with a plugin won't work with another</strong>.</li>
					<li>This setting controls the list of recommended plugins and demos. Does not modify any website content.</li>
					<li style="color: green;">Elementor PRO, nor WPBakery licenses are required. No additional purchase is required. All you need is included. You can ignore other messages</li>
					</ol>
					<?php  

					/**
					*	===========================================
					*	Preset based on previously actived plugins	
					*	===========================================
					*/



					/**
					*	===========================================
					*	Store composer information. Added security	
					*	===========================================
					*/
					$url = add_query_arg(
				        array(
				        	'kentha-builder-select' => '1',
				            'kentha-builder-verify' => wp_create_nonce( 'kentha-builder-verify' )
				        ),
				         admin_url( 'themes.php?page=kentha-welcome' )
				    );


					/**
					*	===========================================
					*	Get the final output
					*	===========================================
					*/
		


					$selected_kentha_composer = kentha_default_composer();

					if( defined( 'WPB_VC_VERSION' ) && defined( 'ELEMENTOR_VERSION' ) ){

						$pluginsurl = admin_url( 'plugins.php' );
						?>
						<div class="notice notice-warning settings-error">
						<p>Attention! Both WPBakery and Elementor are active. Please <a href="<?php echo esc_url($pluginsurl); ?>">deactivate one of the composers</a> to avoid conflicts.</p>
						</div>
						<?php
					}
					
					?>
					<form class="kentha-welcome__pagebuilder-form"  action="<?php echo esc_url($url); ?>" method="POST">
						<p><label class="<?php if('wpbakery' == $selected_kentha_composer){ ?> current <?php } ?>"><input type="radio" value="wpbakery" <?php if('wpbakery' == $selected_kentha_composer){ ?> checked <?php } ?> name="kentha-composer" ><img src="<?php echo get_theme_file_uri('/inc/tgm-plugin-activation/img/composers-logos-wpbakery.png' ); ?>">
						<?php if('wpbakery' == $selected_kentha_composer){ ?><span>CURRENT</span><?php } ?></label><label class="<?php if('elementor' == $selected_kentha_composer){ ?> current <?php } ?>"><input type="radio" value="elementor" <?php if('elementor' == $selected_kentha_composer){ ?> checked <?php } ?> name="kentha-composer"><img src="<?php echo get_theme_file_uri('/inc/tgm-plugin-activation/img/composers-logos-elementor.png' ); ?>">
						<?php if('elementor' == $selected_kentha_composer){ ?><span>CURRENT</span><?php } ?></label></p>
						<?php wp_nonce_field( 'action_store_builder', 'nonce_verify_builder' ); ?>
						<input type="submit" value="<?php esc_html_e('Save', 'kentha'); ?>"  class="kentha-btn button button-primary">
					</form>
					<?php 

					// Information: which is my current stored selection
					if($selected_kentha_composer){ 
						?>
						<p>Your choice: <?php echo esc_html( $selected_kentha_composer ); ?></p>
						<?php
					} else {
						?>
						<p>No composer selected.</p>
						<?php
					} 


					$need_to_install = false;
					// Plugin not installed warning
					if( ( 'elementor' == $selected_kentha_composer 	&& !defined('ELEMENTOR_VERSION')) || ('wpbakery' 	== $selected_kentha_composer 	&& !defined('WPB_VC_VERSION') )){
						$need_to_install = true;
					}


				
					if( true == $v ) {
						if($need_to_install){

							/**
							 * Link including a force refresh
							 */
							$urladmin = admin_url( 'themes.php?page='.kentha_tgmpa_page() );
							$url = add_query_arg(
						        array(
						        	'tgm-refresh-iid' => '1',
						            'tgmpa-force' => '1',
						            'tgmpa-force-nonce2' => wp_create_nonce( 'tgmpa-force-nonce2' ),
						            'tgmpa-force-nonce' => wp_create_nonce( 'tgmpa-force-nonce' )
						        ),
						        $urladmin
						    );

							?>
							<p>The selected editor is ready for the installation: <a href="<?php echo esc_url( $url ); ?>">go to plugins installer</a>
							</p>
							<?php
						} else {
							?>
							<p>The selected editor is already installed and active.</p>
							<?php
						}
					}

					?>
					
				</div>
			</div>
			<?php 
			
			/**
			*	===========================================
			*	Activation info and privacy
			*	===========================================
			*/ 
			?>

			<div class="kentha-welcome__container">
				<div class="kentha-welcome__info">
					<h3><?php esc_html_e('Activation process info and privacy', 'kentha'); ?></h3>
					<ul>
						<li><?php esc_html_e("We will check your purchase code via Envato API", 'kentha'); ?></li>
						<li><?php esc_html_e('You can activate this license on a staging localhost / 127.0.0.1 or *.local installation.', 'kentha'); ?></li>
						<li>You have to purchase/own a license for each publicly accessible domain install of the theme.</li>
						<li>Regardless of whether the installation domain is a sub domain or not, if it is publicly accessible, it requires a license.</li>
						<li>If you installed this website in a local environment or staging subdomain, is allowed to move the license once the staging installation is deleted. <?php echo qtt_support_message() ?> <?php esc_html_e("[Mon - Fri 09-18]", 'kentha'); ?>.</li>
						<li>Staging installations are considered on local IPs, subdomains as test.site.com or staging.site.com or hidden subdomains, or local domains (as mysite.local). Online installations in root domains are not considered test installations.</li>
						<li><strong><?php esc_html_e("The activation is compliant with the Envato license regulations and Themeforest theme requirements.", 'kentha'); ?></strong></li>
						<li>For more information please check the Envato regular license definitions here -> http://themeforest.net/licenses/terms/regular</li>
					</ul>
				</div>
			</div>




		</div>
		<?php
	}
}


/**
 *  Redirect to Welcome Page after the theme activation
 * =============================================*/
if ( !function_exists( 'kentha_welcome_switched' ) ) {
	/**
	 * When we switch theme, we save a variable that will force
	 * redirect to the wizard on next page load
	 */
	add_action( 'after_switch_theme', 'kentha_welcome_switched', 1000 );
	function kentha_welcome_switched() {
		update_option( 'kentha_welcome_page', 'installer' );
	}
}


/**
 * Include the Welcome Page in the menu
 * =============================================*/
if ( ! function_exists( 'kentha_welcome_menupage' ) ) {
	add_action( 'admin_menu', 'kentha_welcome_menupage' );
	function kentha_welcome_menupage() {
		$current_theme = wp_get_theme();
		if( is_child_theme() ){
			$current_theme = $current_theme->parent();
		}
		$pid = kentha_iid();
		if($pid == 'pending'){
			return;
		}

		add_theme_page(
			sprintf( esc_html__( '%s Activation', 'kentha' ), $current_theme->name ),
			sprintf( esc_html__( '%s Activation', 'kentha' ),  $current_theme->name ),
			'manage_options',
			'kentha-welcome',
			'kentha_welcome_page_content'
		);
		add_menu_page(
			 $current_theme->name,
			 $current_theme->name,
			'manage_options',
			'kentha-welcome',
			'kentha_welcome_page_content',
			get_theme_file_uri('/img/menu-icon.png' ),
			0 // Order ID
		);
	}	
}



/**
 * Include the Welcome Page in the menu
 * =============================================*/

/**
 * Include the Welcome Page in the menu
 * =============================================*/
if ( ! function_exists( 'kentha_welcome_footer' ) ) {
	add_action( 'wp_footer', 'kentha_welcome_footer', 1000 );
	function kentha_welcome_footer() {
		$ac = get_option( 'kentha_' . 'ac' . 'k_'. kentha_iid()  );
		if($ac){
			echo '<!-- QT CSS ID '. md5( $ac ) .' -->';
		} else {
			echo '<!-- QT CSS ID ND -->';
		}
	}
}



